From 64b6f2c7f1145d5cb0276d51d10a905e665357dd Mon Sep 17 00:00:00 2001
From: Stephanie Buser <sbuser@codeaurora.org>
Date: Sun, 1 Mar 2020 19:46:39 +0530
Subject: [PATCH 04/11] Audio_Changes

Change-Id: Ie87aeb4cfca041f18bb2237222221f65e6a173b8
---
 arch/arm/boot/dts/qcom/msm8909-mtp.dtsi | 84 +++++++++++++++++++++++++++++++--
 1 file changed, 80 insertions(+), 4 deletions(-)

diff --git a/arch/arm/boot/dts/qcom/msm8909-mtp.dtsi b/arch/arm/boot/dts/qcom/msm8909-mtp.dtsi
index 4d655d9..85919f5 100644
--- a/arch/arm/boot/dts/qcom/msm8909-mtp.dtsi
+++ b/arch/arm/boot/dts/qcom/msm8909-mtp.dtsi
@@ -278,14 +278,14 @@
 		};
 	};
 
-	audio_codec_mtp: sound {
+/*	audio_codec_mtp: sound {
 		compatible = "qcom,msm8x16-audio-codec";
 		qcom,model = "msm8909-snd-card";
 		qcom,msm-snd-card-id = <0>;
 		qcom,msm-codec-type = "internal";
 		qcom,msm-ext-pa = "primary";
 		qcom,msm-mclk-freq = <9600000>;
-		qcom,msm-mbhc-hphl-swh = <1>;		/*joseph modified*/
+		qcom,msm-mbhc-hphl-swh = <1>;		joseph modified
 		qcom,msm-mbhc-gnd-swh = <0>;
 		qcom,msm-hs-micbias-type = "internal";
 		qcom,msm-micbias1-ext-cap;
@@ -293,7 +293,7 @@
 			"RX_BIAS", "MCLK",
 			"SPK_RX_BIAS", "MCLK",
 			"INT_LDO_H", "MCLK",
-			"MIC BIAS Internal1", "Handset Mic",		/**joseph modified for internal bias**/
+			"MIC BIAS Internal1", "Handset Mic",		joseph modified for internal bias
 			"MIC BIAS Internal2", "Headset Mic",
 			"MIC BIAS Internal1", "Secondary Mic",
 			"AMIC1", "MIC BIAS Internal1",
@@ -342,7 +342,83 @@
                                 "msm-dai-q6-dev.32770";
 		asoc-codec = <&stub_codec>, <&pm8909_conga_dig>;
 		asoc-codec-names = "msm-stub-codec.1", "tombak_codec";
-	};
+	};*/
+audio_codec_mtp: sound {
+                compatible = "qcom,msm8x16-audio-codec";
+                qcom,model = "msm8909-snd-card";
+                qcom,msm-snd-card-id = <0>;
+                qcom,msm-codec-type = "internal";
+                qcom,msm-ext-pa = "primary";
+                qcom,msm-mclk-freq = <9600000>;
+                qcom,msm-mbhc-hphl-swh = <0>;           /*joseph modified*/
+                qcom,msm-mbhc-gnd-swh = <0>;
+                qcom,msm-hs-micbias-type = "internal";
+                qcom,msm-micbias1-ext-cap;
+                qcom,audio-routing =
+                        /* "RX_BIAS", "MCLK",
+                        "SPK_RX_BIAS", "MCLK",
+                        "INT_LDO_H", "MCLK",
+                        "MIC BIAS Internal1", "Handset Mic",            /*joseph modified for internal bias
+                        "MIC BIAS Internal2", "Headset Mic",
+                        "MIC BIAS Internal1", "Secondary Mic",
+                        "AMIC1", "MIC BIAS Internal1",
+                        "AMIC2", "MIC BIAS Internal2",
+                        "AMIC3", "MIC BIAS Internal1"; */
+                        "RX_BIAS", "MCLK",
+                        "INT_LDO_H", "MCLK",
+                        "MIC BIAS External", "Handset Mic",
+                        "MIC BIAS Internal2", "Headset Mic",
+                        "MIC BIAS External", "Secondary Mic",
+                        "AMIC1", "MIC BIAS External",
+                        "AMIC2", "MIC BIAS Internal2",
+                        "AMIC3", "MIC BIAS External";
+
+                pinctrl-names = "cdc_lines_act",
+                                "cdc_lines_sus",
+                                "cross_conn_det_act",
+                                "cross_conn_det_sus";
+                pinctrl-0 = <&cdc_pdm_lines_act>;
+                pinctrl-1 = <&cdc_pdm_lines_sus>;
+                pinctrl-2 = <&cross_conn_det_act>;
+                pinctrl-3 = <&cross_conn_det_sus>;
+                qcom,cdc-us-euro-gpios = <&msm_gpio 97 0>;
+                asoc-platform = <&pcm0>, <&pcm1>, <&voip>, <&voice>,
+                                <&loopback>, <&compress>, <&hostless>,
+                                <&afe>, <&lsm>, <&routing>, <&lpa>,
+                                <&voice_svc>;
+                 asoc-platform-names = "msm-pcm-dsp.0", "msm-pcm-dsp.1",
+                                "msm-voip-dsp", "msm-pcm-voice", "msm-pcm-loopback",
+                                 "msm-compress-dsp", "msm-pcm-hostless", "msm-pcm-afe",
+                                "msm-lsm-client", "msm-pcm-routing", "msm-pcm-lpa",
+                                "msm-voice-svc";
+                asoc-cpu = <&dai_pri_auxpcm>, <&dai_hdmi>,
+                                <&dai_mi2s0>, <&dai_mi2s1>, <&dai_mi2s2>, <&dai_mi2s3>,
+                                <&sb_0_rx>, <&sb_0_tx>, <&sb_1_rx>, <&sb_1_tx>,
+                                <&sb_3_rx>, <&sb_3_tx>, <&sb_4_rx>, <&sb_4_tx>,
+                                <&bt_sco_rx>, <&bt_sco_tx>,<&bt_a2dp_rx>,
+                                <&int_fm_rx>, <&int_fm_tx>,
+                                <&afe_pcm_rx>, <&afe_pcm_tx>, <&afe_proxy_rx>, <&afe_proxy_tx>,
+                                <&incall_record_rx>, <&incall_record_tx>, <&incall_music_rx>,
+                                <&incall_music_2_rx>;
+                asoc-cpu-names = "msm-dai-q6-auxpcm.1", "msm-dai-q6-hdmi.8",
+                                "msm-dai-q6-mi2s.0", "msm-dai-q6-mi2s.1",
+                                "msm-dai-q6-mi2s.2", "msm-dai-q6-mi2s.3",
+                                "msm-dai-q6-dev.16384", "msm-dai-q6-dev.16385",
+                                "msm-dai-q6-dev.16386", "msm-dai-q6-dev.16387",
+                                "msm-dai-q6-dev.16390", "msm-dai-q6-dev.16391",
+                                "msm-dai-q6-dev.16392", "msm-dai-q6-dev.16393",
+                                "msm-dai-q6-dev.12288", "msm-dai-q6-dev.12289",
+                                "msm-dai-q6-dev.12290", "msm-dai-q6-dev.12292",
+                                "msm-dai-q6-dev.12293", "msm-dai-q6-dev.224",
+                                "msm-dai-q6-dev.225", "msm-dai-q6-dev.241",
+                                "msm-dai-q6-dev.240", "msm-dai-q6-dev.32771",
+                                "msm-dai-q6-dev.32772", "msm-dai-q6-dev.32773",
+                                "msm-dai-q6-dev.32770";
+                asoc-codec = <&stub_codec>, <&pm8909_conga_dig>;
+                asoc-codec-names = "msm-stub-codec.1", "tombak_codec";
+        };
+
+
 };
 
 &blsp1_uart1 {
-- 
2.7.4

